Bug 1021577 - [abrt] gdb-7.5.1-42.fc18: block_linkage_function: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.5.1-42.fc18: block_linkage_function: Process /usr/bin/gdb was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:cd77d71f3bd0b372e28ab335d3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 10:40 EDT by Flaco
Modified: 2014-02-05 17:30 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:30:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.23 KB, text/plain)
2013-10-21 10:40 EDT, Flaco
no flags Details
File: cgroup (129 bytes, text/plain)
2013-10-21 10:40 EDT, Flaco
no flags Details
File: core_backtrace (8.51 KB, text/plain)
2013-10-21 10:40 EDT, Flaco
no flags Details
File: dso_list (3.65 KB, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: environ (1.69 KB, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: maps (18.30 KB, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: open_fds (968 bytes, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: proc_pid_status (923 bytes, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details
File: var_log_messages (290 bytes, text/plain)
2013-10-21 10:41 EDT, Flaco
no flags Details

  None (edit)
Description Flaco 2013-10-21 10:40:44 EDT
Description of problem:
Debug my program with GDB and it crashed on me 

Version-Release number of selected component:
gdb-7.5.1-42.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gdb --interpreter=mi2 -quiet
crash_function: block_linkage_function
executable:     /usr/bin/gdb
kernel:         3.10.14-100.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 block_linkage_function at ../../gdb/block.c:77
 #1 dwarf_expr_frame_base at ../../gdb/dwarf2loc.c:342
 #2 execute_stack_op at ../../gdb/dwarf2expr.c:954
 #3 dwarf_expr_eval at ../../gdb/dwarf2expr.c:365
 #4 dwarf_expr_prep_ctx at ../../gdb/dwarf2loc.c:1307
 #5 dwarf2_evaluate_loc_desc_full at ../../gdb/dwarf2loc.c:2315
 #6 default_read_var_value at ../../gdb/findvar.c:578
 #7 evaluate_subexp_standard at ../../gdb/eval.c:1068
 #8 evaluate_subexp_c at ../../gdb/c-lang.c:719
 #9 evaluate_subexp at ../../gdb/eval.c:74
Comment 1 Flaco 2013-10-21 10:40:49 EDT
Created attachment 814633 [details]
File: backtrace
Comment 2 Flaco 2013-10-21 10:40:53 EDT
Created attachment 814634 [details]
File: cgroup
Comment 3 Flaco 2013-10-21 10:40:57 EDT
Created attachment 814635 [details]
File: core_backtrace
Comment 4 Flaco 2013-10-21 10:41:08 EDT
Created attachment 814636 [details]
File: dso_list
Comment 5 Flaco 2013-10-21 10:41:14 EDT
Created attachment 814637 [details]
File: environ
Comment 6 Flaco 2013-10-21 10:41:18 EDT
Created attachment 814638 [details]
File: exploitable
Comment 7 Flaco 2013-10-21 10:41:22 EDT
Created attachment 814639 [details]
File: limits
Comment 8 Flaco 2013-10-21 10:41:26 EDT
Created attachment 814640 [details]
File: maps
Comment 9 Flaco 2013-10-21 10:41:30 EDT
Created attachment 814641 [details]
File: open_fds
Comment 10 Flaco 2013-10-21 10:41:37 EDT
Created attachment 814642 [details]
File: proc_pid_status
Comment 11 Flaco 2013-10-21 10:41:42 EDT
Created attachment 814643 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2013-12-21 09:42:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:30:00 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.